Module java.desktop
Package javax.swing.filechooser

# Class FileFilter

java.lang.Object
javax.swing.filechooser.FileFilter

Direct Known Subclasses:
  `BasicFileChooserUI.AcceptAllFileFilter`, `FileNameExtensionFilter`

public abstract class FileFilter extends Object
`FileFilter` is an abstract class used by `JFileChooser` for filtering the set of files shown to the user. See `FileNameExtensionFilter` for an implementation that filters using the file name extension.

A `FileFilter` can be set on a `JFileChooser` to keep unwanted files from appearing in the directory listing. For an example implementation of a simple file filter, see `yourJDK/demo/jfc/FileChooserDemo/ExampleFileFilter.java`. For more information and examples see How to Use File Choosers, a section in The Java Tutorial.

See Also:
  - `FileNameExtensionFilter`
  - `JFileChooser.setFileFilter(javax.swing.filechooser.FileFilter)`
  - `JFileChooser.addChoosableFileFilter(javax.swing.filechooser.FileFilter)`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FileFilter()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`accept(File f)`
Whether the given file is accepted by this filter.
`abstract String`
`getDescription()`
The description of this filter.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileFilter

protected FileFilter()
Constructor for subclasses to call.

## Method Details

### accept

public abstract boolean accept(File f)
Whether the given file is accepted by this filter.

Parameters:
  `f` - the File to test
Returns:
  true if the file is to be accepted

### getDescription

public abstract String getDescription()
The description of this filter. For example: "JPG and GIF Images"

Returns:
  the description of this filter
See Also:
  - `FileView.getName(java.io.File)`